Subject: Re: [PATCH v2 2/4] ref: add regular ref content check for files backend

From: Junio C Hamano <[email-masked]>
Date: Wed, 28 Aug 2024 08:30:50 -0700

Patrick Steinhardt <[email-masked]> writes:

> On Wed, Aug 28, 2024 at 12:07:58AM +0800, shejialuo wrote:
>> @@ -170,6 +173,12 @@
>>  `nullSha1`::
>>  	(WARN) Tree contains entries pointing to a null sha1.
>>  
>> +`refMissingNewline`::
>> +	(INFO) A valid ref does not end with newline.
>
> This reads a bit funny to me. If the ref is valid, why do we complain?

I think you understood after reading the series through and
responded to my "curiously formatted" comment.  I understand that
these marked as INFO are not about "to complain" but are for us to
ask the user to report so that we can learn of any third-party tools
that may get in our way to later tighten the parsing rules
retroactively.  

> Maybe this would read better if you said "An otherwise valid ref does
> not end with a newline".

So I do agree that the text above is less than optimal.  It is "this
is valid, but something we wouldn't have written.  Who creates such
a ref?"